Bug 186118 - Auto-Reload doesn't work when using symlinks
Summary: Auto-Reload doesn't work when using symlinks
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-04 14:15 UTC by Bernhard Walle
Modified: 2011-07-05 23:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Walle 2009-03-04 14:15:06 UTC
Version:           0.8.1 (using KDE 4.2.0)
Compiler:          4.3.3 
OS:                Linux
Installed from:    Unspecified Linux

Example:

  test.pdf
  test_link.pdf -> test.pdf

When showing test_link.pdf and test.pdf is refreshed, the auto-reload doesn't work.

I think Okular shouldn't trace test_link.pdf but readlink(test_link.pdf) = test.pdf with Inotify.
Comment 1 Pino Toscano 2009-03-04 17:28:25 UTC
(In reply to comment #0)
> I think Okular shouldn't trace test_link.pdf but readlink(test_link.pdf) =
> test.pdf with Inotify.

Agreed; just wondering whether the link (= "test_link.pdf", in your example) should be traced too (but maybe is not worth).
Comment 2 Christopher Reichert 2011-07-05 23:21:11 UTC
Git commit 752a59f5b8baf9bfa449e7a14d94a3358dbac241 by Christopher Reichert.
Committed on 05/07/2011 at 04:16.
Pushed by reichert into branch '4.7'.

Reload Document when contents of symlink target change.

If okular loads a symlink, watch the document the symlink
points to using readlink. Reload the symlink when the
actual document changes.

CCBUG: 186118

M  +10   -2    part.cpp     

http://commits.kde.org/okular/752a59f5b8baf9bfa449e7a14d94a3358dbac241